﻿using System.Data;
using System.Data.SqlClient;

namespace Wisej_DGVVirtualMode
{
	public static class DB
	{
		private const string CONNECTION_STRING = "Data Source=[YOUR SERVER];Initial Catalog=Chinook;Persist Security Info=True;User ID=[YOUR DATABASE];Password=[YOUR PASSWORD]";

		private static SqlConnection CreateConnection()
		{
			var connection = new SqlConnection(CONNECTION_STRING);
			connection.Open();
			return connection;
		}

		internal static DataTable ReadEmployeeRows(int firstIndex, int count)
		{
			var dt = new DataTable();
			var connection = CreateConnection();

			using (connection)
			using (var command = new SqlCommand(
				$"SELECT * FROM ARTIST ORDER BY ARTISTID OFFSET {firstIndex} ROWS FETCH NEXT {count} ROWS ONLY",
				connection))
			{
				var adapter = new SqlDataAdapter(command);
				adapter.Fill(dt);
			}

			return dt;
		}

		internal static int GetEmployeeRowCount()
		{
			var connection = CreateConnection();

			using (connection)
			using (var command = new SqlCommand(
				$"SELECT COUNT(*) FROM ARTIST",
				connection))
			{
				return (int)command.ExecuteScalar();
			}
		}
	}
}
